import {
  createSSRApp
} from 'vue'
import App from './App.vue'
import * as Pinia from "pinia"
import {
  createUnistorage
} from "./uni_modules/pinia-plugin-unistorage"
console.info('v3.5.0');

export function createApp() {
  const app = createSSRApp(App)
  const store = Pinia.createPinia();
  store.use(createUnistorage());
  app.use(store);
  
  return {
    app,
    Pinia,
  }
}
